﻿using System.Collections.Generic;
using ItemRazorV2_2.Models;

namespace ItemRazorV2_2.Services
{
    public class ItemService : IItemService
    {
        private List<Item> _items;
        

        public ItemService()
        {
            _items = MockData.MockItems.GetMockItems();
        }
        public List<Item> GetItems()
        {
            return _items;
        }

        public Item GetItem(int id)
        {
            foreach (Item item in _items)
            {
                if (item.Id == id) return item;
            }
            return null;
        }

        public void AddItem(Item item)
        {
            _items.Add(item);
        }

        public void UpdateItem(Item item)
        {
            if (item != null)
            {
                foreach (Item i in _items)
                {
                    if (i.Id == item.Id)
                    {
                        i.Name = item.Name;
                        i.Price = item.Price;
                    }
                }
            }
        }

        //public Item DeleteItem(int itemId)
        //{
        //    Item itemToBeDeleted = null;
        //    foreach (Item item in _items)
        //    {
        //        if (item.Id == itemId)
        //        {
        //            itemToBeDeleted = item;
        //            break;
        //        }
        //    }
        //    if (itemToBeDeleted != null)
        //    {
        //        _items.Remove(itemToBeDeleted);
        //    }
        //    return itemToBeDeleted;
        //}

        public Item DeleteItem(int? itemId)
        {
            foreach (Item item in _items)
            {
                if (item.Id == itemId)
                {
                    _items.Remove(item);
                    return item;
                }
            }
            return null;
        }

        public IEnumerable<Item> NameSearch(string str)
        {
            List<Item> nameSearch = new List<Item>();
            foreach (Item item in _items)
            {
                if (item.Name.ToLower().Contains(str.ToLower()))
                {
                    nameSearch.Add(item);
                }
            }

            return nameSearch;
        }

        public IEnumerable<Item> PriceFilter(int maxPrice, int minPrice = 0)
        {
            List<Item> filterList = new List<Item>();
            foreach (Item item in _items)
            {
                if ((minPrice == 0 && item.Price <= maxPrice) || (maxPrice == 0 && item.Price >= minPrice) || (item.Price >= minPrice && item.Price <= maxPrice))
                {
                    filterList.Add(item);
                }
            }

            return filterList;
        }
    }
}
